RDKit::QueryAtomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over atoms matching a query. This is bidirectional. More...

`#include <AtomIterators.h>`

## Public Types

typedef QueryAtomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions

| QueryAtomIterator_ ()
| QueryAtomIterator_ (Mol_ *mol, QueryAtom const *what)
| QueryAtomIterator_ (Mol_ *mol, int pos)
| ~QueryAtomIterator_ ()
| QueryAtomIterator_ (const ThisType &other)
QueryAtomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
Atom_ * | operator* () const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

### template<class Atom_, class Mol_>
class RDKit::QueryAtomIterator_< Atom_, Mol_ >

Iterate over atoms matching a query. This is bidirectional.

Definition at line 137 of file AtomIterators.h.

## Member Typedef Documentation

template<class Atom_ , class Mol_ >

typedef QueryAtomIterator_<Atom_,Mol_> RDKit::QueryAtomIterator_< Atom_, Mol_ >::ThisType

Definition at line 139 of file AtomIterators.h.

## Constructor & Destructor Documentation

template<class Atom_ , class Mol_ >

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( |  | ) |

inline

Definition at line 140 of file AtomIterators.h.

template<class Atom_ , class Mol_ >

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | Mol_ * | mol,
|  | QueryAtom const * | what
| ) |  |

template<class Atom_ , class Mol_ >

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | Mol_ * | mol,
|  | int | pos
| ) |  |

template<class Atom_ , class Mol_ >

RDKit::QueryAtomIterator_< Atom_, Mol_ >::~QueryAtomIterator_ | ( |  | ) |

template<class Atom_ , class Mol_ >

RDKit::QueryAtomIterator_< Atom_, Mol_ >::QueryAtomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

template<class Atom_ , class Mol_ >

bool RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

template<class Atom_ , class Mol_ >

Atom_* RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

template<class Atom_ , class Mol_ >

ThisType& RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

template<class Atom_ , class Mol_ >

ThisType RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

template<class Atom_ , class Mol_ >

ThisType& RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

template<class Atom_ , class Mol_ >

ThisType RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

template<class Atom_ , class Mol_ >

QueryAtomIterator_& RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

template<class Atom_ , class Mol_ >

bool RDKit::QueryAtomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h